Retrieve Credential
GET/credentials/:id/
Call auditlog tasks if applicable to query.
Request
Path Parameters
id stringrequired
Responses
- 200
- 400
- 401
- 404
- 500
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
id stringrequired
A unique Base58 value identifying this object.
uri stringrequired
name stringrequired
Possible values: <= 255 characters
team stringnullable
A unique Base58 value identifying this object.
description string
Possible values: <= 1024 characters
is_sensitive boolean
value nullablerequired
Value of credential. Returns null if sensitive.
created_at date-timerequired
updated_at date-timerequired
creator
object
required
id stringrequired
A unique Base58 value identifying this object.
email email
Possible values: <= 254 characters
Email of the user.
name stringrequired
Possible values: <= 60 characters
Name of the user.
usage_count integerrequired
references
object[]
required
root_object_id stringrequired
ID of the object where the Credential is used.
root_object_type stringrequired
Type of the object where the Credential is used (e.g. Target, Domain).
root_object_display_name stringrequired
Display name of the object where the Credential is used.
ui_reference_key stringrequired
The key to identify the field where the Credential is used.
{
"id": "string",
"uri": "string",
"name": "string",
"team": "string",
"description": "string",
"is_sensitive": true,
"created_at": "2024-07-29T15:51:28.071Z",
"updated_at": "2024-07-29T15:51:28.071Z",
"creator": {
"id": "string",
"email": "[email protected]",
"name": "string"
},
"usage_count": 0,
"references": [
{
"root_object_id": "string",
"root_object_type": "string",
"root_object_display_name": "string",
"ui_reference_key": "string"
}
]
}
- application/json
- Schema
- Example (from schema)
Schema
<field name> string[]
non_field_errors string[]
{
"<field name>": [
"Errors related to field <field name>."
],
"non_field_errors": [
"Errors not related to any field specific field."
]
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Incorrect authentication credentials."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Not found."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Unexpected error while handling your request."
}
Loading...